package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.result.R;
import shop.alien.entity.store.LifeUserCreditScoreInfo;

public interface LifeUserCreditScoreInfoService extends IService<LifeUserCreditScoreInfo> {

    /**
     * 新增用户信用分信息
     */
    R<String> add(LifeUserCreditScoreInfo lifeUserCreditScoreInfo);

    /**
     * 根据ID删除用户信用分信息
     */
    R<String> deleteById(Integer id);

    /**
     * 更新用户信用分信息
     */
    R<String> update(LifeUserCreditScoreInfo lifeUserCreditScoreInfo);

    /**
     * 根据ID查询用户信用分信息
     */
    R<LifeUserCreditScoreInfo> getInfoById(Integer id);

    /**
     * 根据用户ID查询用户信用分信息
     */
    R<LifeUserCreditScoreInfo> getByUserId(Integer userId);

    /**
     * 分页查询用户信用分信息列表
     */
    R<IPage<LifeUserCreditScoreInfo>> list(Integer pageNum, Integer pageSize, Integer userId);
}
